%define aurox_ver 9.3
%define rel 2

%define version 1.3.1

Summary: MPEG decoding engine
Name: libmpeg
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: distributable
Group: Development/Libraries
Source: mpeg_lib-%{version}.tar.gz
URL: http://starship.python.net/~gward/mpeglib/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The MPEG Library is a collection of C routines to decode MPEG-1 video
streams to a variety of colour schemes.  Most of the code in the library
comes directly from an old version of the Berkeley MPEG player,
"mpeg_play", an X11-specific implementation.

This package contains library's header file, static library and documentation.


%prep
%setup -n mpeg_lib-%{version} -q
grep '^ \*' video.h > COPYING

%build
%configure
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_LIBRARY=$RPM_BUILD_ROOT%{_libdir}/mpeg_lib INSTALL_INCLUDE=$RPM_BUILD_ROOT%{_includedir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%doc doc
%{_prefix}/lib/mpeg_lib/%{name}.a
%dir %{_includedir}/mpeg.h

%changelog
* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:1.3.1-9.3.aur.2
- move library to /usr/lib/mpeg_lib/
- remove extra slashes in paths
- initial import to svn (extra features for gimp)

* Thu Jan 29 2004 Robert Glowczynski <robertg@aurox.org>
- Initial version
